Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QMouseEvent

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QMouseEvent class reference

### Public Functions

- QMouseEvent ( Type type, const QPoint & pos, Qt::ButtonState button, int state )
- QMouseEvent ( Type type, const QPoint & pos, const QPoint & globalPos, Qt::ButtonState button, int state )
- Qt::ButtonState stateAfter () const

## Member Function Documentation

### QMouseEvent::QMouseEvent ( Type type, const QPoint & pos, Qt::ButtonState button, int state )

### QMouseEvent::QMouseEvent ( Type type, const QPoint & pos, const QPoint & globalPos, Qt::ButtonState button, int state )

### Qt::ButtonState QMouseEvent::stateAfter () const